/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::find_signal"
  Signal * Entity::find_signal (string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    Signal * _return = _interfaces->find_signal(name);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

#undef  FUNCTION
#define FUNCTION "Entity::find_signal"
  bool Entity::find_signal (Signal * signal)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    bool _return = _interfaces->find_signal(signal);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
